-- multi byte 8 to 7 bit conversion routine for MIDI files   

include get.e
include machine.e
include misc.e
        
global function conv127(integer i1)
    integer i2
    sequence s1,s2,s3      
    
    s1=int_to_bits(i1,32)
    s3={}
    
    for n=1 to 23 by 7 do
        s2=s1[n..n+6]
        i2=bits_to_int(s2)
        if n>1 then
            i2=i2+128
        end if
        s3=s3&{i2}
    end for
      
    while s3[length(s3)]=128 do
        s3=s3[1..length(s3)-1]
    end while    
    
    s3=reverse(s3)    

    return s3      
end function



